Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.servlet
Class ErrorHandlingServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.springframework.web.servlet.HttpServletBean
                  org.springframework.web.servlet.FrameworkServlet
                      org.springframework.web.servlet.DispatcherServlet
                          org.codehaus.groovy.grails.web.servlet.GrailsDispatcherServlet
                              org.codehaus.groovy.grails.web.servlet.ErrorHandlingServlet

All Implemented Interfaces:
  Serializable, Servlet, ServletConfig

    public class ErrorHandlingServlet

extends GrailsDispatcherServlet

A servlet for handling errors.

Since:
  1.0-RC1
Author:
  mike
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.codehaus.groovy.grails.web.servlet.GrailsDispatcherServlet
`interceptors, multipartResolver`

Fields inherited from class org.springframework.web.servlet.DispatcherServlet
`HANDLER_ADAPTER_BEAN_NAME, HANDLER_EXCEPTION_RESOLVER_BEAN_NAME, HANDLER_EXECUTION_CHAIN_ATTRIBUTE, HANDLER_MAPPING_BEAN_NAME, LOCALE_RESOLVER_ATTRIBUTE, LOCALE_RESOLVER_BEAN_NAME, MULTIPART_RESOLVER_BEAN_NAME, PAGE_NOT_FOUND_LOG_CATEGORY, pageNotFoundLogger, REQUEST_TO_VIEW_NAME_TRANSLATOR_BEAN_NAME, THEME_RESOLVER_ATTRIBUTE, THEME_RESOLVER_BEAN_NAME, THEME_SOURCE_ATTRIBUTE, VIEW_RESOLVER_BEAN_NAME, WEB_APPLICATION_CONTEXT_ATTRIBUTE`

Fields inherited from class org.springframework.web.servlet.FrameworkServlet
`DEFAULT_CONTEXT_CLASS, DEFAULT_NAMESPACE_SUFFIX, SERVLET_CONTEXT_PREFIX`

Fields inherited from class org.springframework.web.servlet.HttpServletBean
`logger`

Constructor Summary
`ErrorHandlingServlet()`

Method Summary
`protected HttpServletRequest` | `checkMultipart(HttpServletRequest request)` Convert the request into a multipart request.
`protected void` | `doDispatch(HttpServletRequest request, HttpServletResponse response)`

Methods inherited from class org.codehaus.groovy.grails.web.servlet.GrailsDispatcherServlet
`copyParamsFromPreviousRequest, createWebApplicationContext, destroy, establishInterceptors, getHandler, initFrameworkServlet, initStrategies, setApplication, triggerAfterCompletion, useWrappedOrOriginalResponse`

Methods inherited from class org.springframework.web.servlet.DispatcherServlet
`buildLocaleContext, cleanupMultipart, createDefaultStrategy, doService, getDefaultStrategies, getDefaultStrategy, getDefaultViewName, getHandlerAdapter, getLastModified, getMultipartResolver, getThemeSource, noHandlerFound, onRefresh, processHandlerException, render, resolveViewName, setCleanupAfterInclude, setDetectAllHandlerAdapters, setDetectAllHandlerExceptionResolvers, setDetectAllHandlerMappings, setDetectAllViewResolvers`

Methods inherited from class org.springframework.web.servlet.FrameworkServlet
`createWebApplicationContext, doDelete, doGet, doOptions, doPost, doPut, doTrace, findWebApplicationContext, getContextAttribute, getContextClass, getContextConfigLocation, getNamespace, getServletContextAttributeName, getUsernameForRequest, getWebApplicationContext, initServletBean, initWebApplicationContext, onApplicationEvent, postProcessWebApplicationContext, processRequest, refresh, setContextAttribute, setContextClass, setContextConfigLocation, setDispatchOptionsRequest, setDispatchTraceRequest, setNamespace, setPublishContext, setPublishEvents, setThreadContextInheritable`

Methods inherited from class org.springframework.web.servlet.HttpServletBean
`addRequiredProperty, getServletContext, getServletName, init, initBeanWrapper`

Methods inherited from class javax.servlet.http.HttpServlet
`doHead, service, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletInfo, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ErrorHandlingServlet

    public ErrorHandlingServlet()

Method Detail

### checkMultipart

    protected HttpServletRequest checkMultipart(HttpServletRequest request)
                                         throws MultipartException

  Description copied from class: `GrailsDispatcherServlet`
  Convert the request into a multipart request. If no multipart resolver is set, simply use the existing request.

  Overrides:
    `checkMultipart` in class `GrailsDispatcherServlet`
  Parameters:
    `request` - current HTTP request
  Returns:
    the processed request (multipart wrapper if necessary)
  Throws:
    `MultipartException`

### doDispatch

    protected void doDispatch(HttpServletRequest request,
                              HttpServletResponse response)
                       throws Exception

  Overrides:
    `doDispatch` in class `GrailsDispatcherServlet`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD